What broadband software do I need for an Apple Mac? - Support - Vodafone IE
Jump to content

Support

Help me with this phone

Support

Search in support
Go
Example: "configure e-mail on mobile phone"
 
Help me with this service
Back

What broadband software do I need for an Apple Mac?


If you’re using an Apple Mac, you’ll need OSX 10.3.5 or above to install and run our mobile broadband modem software.

Where to get it

You can download the latest Vodafone Mobile Broadband software here.

Feedback
Was this article useful?

Do you need further help?

No, thanks